Enspace
  1. Quick Tasks
Enspace
  • Introduction
  • Authentication
  • Concepts
  • First Steps
  • Workspaces
    • Types
      • Fields
        • List Fields
        • Create Field
        • Get Field
        • Field Updated
        • Delete Field
      • Items
        • List Items
        • Create Item
        • Count Items
        • Get Item
        • Update Item
        • Delete item
      • List Types
      • Count Types
      • Get specific Type
      • Create Type
      • Update Type
      • Delete Type
    • Members
      • List Members
      • Count Members
      • Get Member
      • New Member
      • Update Member
      • Remove Member
    • Roles
      • List roles
      • Create role
      • Count positions
      • Get specific job title
      • Update job title
      • Delete role
      • List Role Permissions
      • Add Permission to Role
      • Remove Role Permission
    • Member Groups
      • List groups
      • New group
      • Get group
      • Update group
      • Delete group
      • Add Users
      • Remove Users
    • Quick Tasks
      • List Quick Tasks
        GET
      • Count Quick Tasks
        GET
      • Get Quick Task
        GET
      • Delete Quick Task
        DELETE
      • Update Quick Task
        PUT
      • New Quick Task
        POST
    • List Workspaces
      GET
    • Workspace Context
      GET
    • New Workspace
      POST
    • Leave the workspace
      POST
    • Workspace Statistics
      GET
    • Workspace Deletion Preview
      GET
    • Delete Workspace
      DELETE
  • User
    • Audit Logs
      GET
    • List API Keys
      GET
  • Schemas
    • Schemas
      • Members
        • MemberUpdate
        • MemberCreate
        • Member
      • Roles
        • Role
        • RoleCreate
        • RoleUpdate
      • MemberGroups
        • MemberGroup
        • MemberGroupCreate
        • MemberGroupUpdate
      • Types
        • Type
        • TypeInput
        • TypeDetail
      • Items
        • Item
        • ItemInput
      • Workspace
        • WorkspaceContext
        • WorkspaceStats
        • Workspace
        • WorkspaceCreate
        • WorkspaceUpdate
      • Tasks
        • Tasks
      • User
      • RequestLog
      • UserApiKey
      • SuccessResponse
      • ErrorResponse
      • Field
      • FieldInput
      • Permission
      • PermissionInput
      • Error
    • Response
      • BadRequest
      • Unauthorized
      • Forbidden
      • NotFound
      • ServerError
  1. Quick Tasks

Get Quick Task

Developing
Develop Env
https://api-develop.enspace.io
Develop Env
https://api-develop.enspace.io
GET
https://api-develop.enspace.io
/tasks/{taskId}
Maintainer:Julio Cordeiro

Get specific quick task#

Returns detailed data for a specific quick task in the workspace.

Parameters#

taskId (path) – ID of the task

Response#

Returns the complete task object with all information about the task, including its type, status, priority, metadata, and related entities when requested.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
en-workspace
Example:
en-workspace: ********************
or
Path Params

Query Params

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-develop.enspace.io/tasks/179?__relations=assigned_to,external_task' \
--header 'x-api-key: <api-key>' \
--header 'en-workspace: <api-key>'
Response Response Example
200 - Example 1
{
    "id": 0,
    "name": "string",
    "type": "string",
    "description": "string",
    "reference": "string",
    "status": "string",
    "priority": "string",
    "points": 0,
    "due_date": "2019-08-24T14:15:22.123Z",
    "completed_at": "2019-08-24T14:15:22.123Z",
    "assigned_to": {
        "id": 0,
        "username": "string",
        "email": "string",
        "provider": "string",
        "confirmed": true,
        "language": "string",
        "role": 0,
        "meta": {
            "fname": "string",
            "lname": "string",
            "realm": "string",
            "avatar": "string",
            "provider": "string",
            "last_sync": "2019-08-24T14:15:22.123Z",
            "provider_id": "string",
            "property1": "string",
            "property2": "string"
        },
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z",
        "uuid": "string"
    },
    "completed_by": 0,
    "creator": 0,
    "external_task": {
        "id": 0,
        "email": "string",
        "hash": "string",
        "status": "string",
        "data": {
            "property1": "string",
            "property2": "string"
        },
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z",
        "due_date": "2019-08-24T14:15:22.123Z",
        "task": 0
    },
    "item": 0,
    "meta": {
        "property1": "string",
        "property2": "string"
    },
    "created_at": "2019-08-24T14:15:22.123Z",
    "updated_at": "2019-08-24T14:15:22.123Z"
}
Previous
Count Quick Tasks
Next
Delete Quick Task
Built with